New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

flycheck: javascript-flow is not a valid syntax checker #20

Open
RenWenshan opened this Issue Sep 11, 2018 · 3 comments

Comments

Projects
None yet
3 participants
@RenWenshan

RenWenshan commented Sep 11, 2018

Got:

flycheck-add-mode: javascript-flow is not a valid syntax checker
File mode specification error: (error javascript-flow is not a valid syntax checker)

My configuration:

 (require 'flow-minor-mode)
 (add-hook 'js-mode-hook 'flow-minor-enable-automatically)
  (add-hook 'js2-mode-hook 'flow-minor-enable-automatically)

  (with-eval-after-load 'flycheck
    (flycheck-add-mode 'javascript-flow 'flow-minor-mode)
    (flycheck-add-mode 'javascript-eslint 'flow-minor-mode)
    (flycheck-add-next-checker 'javascript-flow 'javascript-eslint))

Environment: Spacemacs 0.300.0@26.1 on MacOS

@RenWenshan RenWenshan changed the title from flycheck to flycheck: javascript-flow is not a valid syntax checker Sep 11, 2018

@an-sh

This comment has been minimized.

Owner

an-sh commented Sep 11, 2018

this is a problem with javascript-flow, which should be installed separately and is not a part of this minor mode

@RenWenshan

This comment has been minimized.

RenWenshan commented Sep 12, 2018

@an-sh thanks for your reply. May I know where I can find javascript-flow (I assume it's an emacs plugin)?

@olessavluk

This comment has been minimized.

olessavluk commented Nov 11, 2018

@RenWenshan you need to install and then require it before using

(require 'flycheck-flow)
...
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment